@import "./variables";
@import "./mixins/mixins";


.sb--card--course {
  border-radius: 0.125rem;
}
.sb--card--course .sb--card__meta1 {
  --cc-sbcard-meta1:var(--gray-400);
  color: var(--cc-sbcard-meta1);
  line-height: 1rem;
}
.sb--card--course .sb--card__meta_c_data {
  --cc-sbcard-metaC-data:var(--rc-FAFAFA);
  min-height: 2rem;
  padding: 0.5rem;
  background-color: var(--cc-sbcard-metaC-data);
  font-size: 0.8rem;
}
.sb--card--course .data_1 {
  max-width: 100% !important;
}

/* my course card */
::ng-deep :root {
  --cc-sbcard-card__progressbar-bg: var(--gray-100);
  --cc-sbcard-card__progressbar-span-bg: var(--secondary-200);
}

.sb--card--course.sb--card--course--my .sb--container-box {
  min-width: 0;
  flex: 1;
  padding-right: 0.5rem;
  height: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
}
html[dir=rtl] .sb--card--course.sb--card--course--my .sb--container-box {
  padding-right: inherit;
  padding-left: 0.5rem;
}
.sb--card--course.sb--card--course--my .sb--container-box .sb--card__info {
  padding: 0rem 0rem 0rem 0rem;
  display: flex;
  align-items: center;
}
.sb--card--course.sb--card--course--my .sb--container-box .sb--holder {
  flex: 1;
  min-width: 0;
}
.sb--card--course.sb--card--course--my.sb--card--recently-viewed .sb--container-box {
  padding: 0.5rem !important;
}
.sb--card--course.sb--card--course--my.sb--card--recently-viewed .sb--card__meta_c_data {
  min-height: 1rem !important;
}
.sb--card--course.sb--card--course--my .sb--card__meta_c_data_external {
  min-height: 1rem;
  padding: 0.1rem;
  font-size: 0.8rem;
}
.sb--card--course.sb--card--course--my .sb--card__progressbar {
  height: 0.25rem;
  margin: 0px 0 0px;
  border-radius: 0px;
  box-shadow: inset 0 -0.0625rem 0.0625rem rgba(var(--rc-rgba-white), 0.3);
  width: 100%;
  background: var(--cc-sbcard-card__progressbar-bg);
}
.sb--card--course.sb--card--course--my .sb--card__progressbar > span {
  display: block;
  height: 100%;
  background-color: var(--cc-sbcard-card__progressbar-span-bg);
  background-image: -webkit-gradient(center bottom, var(--secondary-400), var(--secondary-200));
  box-shadow: inset 0 0.125rem 0.5625rem var(--gray-100), inset 0 -0.125rem 0.375rem rgba(var(--rc-rgba-black), 0.4);
  position: relative;
  overflow: hidden;
}